
program Envelope

use sep
use inter_lint2x
 
implicit none
integer				:: nw1, nw2,jj2
real, dimension(:,:), pointer	:: x_nonzero, win2x_mis 		 
 
call sep_init()



call from_history( "n1", nw1)
call from_history( "n2", nw2)

allocate (x_nonzero(nw1,nw2), win2x_mis(nw1,nw2))

call sep_read(win2x_mis)


! Calling the main filling program
jj2=1
call inter_lintx(nw1, nw2, win2x_mis, x_nonzero,jj2) 

call sep_write(x_nonzero)


call sep_close()


end program Envelope
